Package ru.bitel.bgbilling.modules.megafon.common.bean

# Class MegafonContractProductHistory

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.modules.megafon.common.bean.MegafonContractProductHistory

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class MegafonContractProductHistory extends IdTitle
Историческая запись об изменении продукта/услуги на договоре

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.model.IdTitle

  `IdTitle.Builder, IdTitle.IdTitleBuilder`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT, title`

  ### Fields inherited from class ru.bitel.common.model.Id

  `id`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MegafonContractProductHistory()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getAdditionalMsisdn()`
  `LocalDateTime`
  `getChangeDate()`
  `int`
  `getContractId()`
  `int`
  `getMegafonOptionId()`
  `String`
  `getMsisdn()`
  `MegafonContractProductStatus`
  `getNewProductStatus()`
  `MegafonContractProductStatus`
  `getOldProductStatus()`
  `int`
  `getProductId()`
  `int`
  `getUserId()`
  `void`
  `setAdditionalMsisdn(String additionalMsisdn)`
  `void`
  `setChangeDate(LocalDateTime changeDate)`
  `void`
  `setContractId(int contractId)`
  `void`
  `setMegafonOptionId(int megafonOptionId)`
  `void`
  `setMsisdn(String msisdn)`
  `void`
  `setNewProductStatus(MegafonContractProductStatus newProductStatus)`
  `void`
  `setOldProductStatus(MegafonContractProductStatus oldProductStatus)`
  `void`
  `setProductId(int productId)`
  `void`
  `setUserId(int userId)`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### MegafonContractProductHistory

    public MegafonContractProductHistory()

- ## Method Details

  - ### getContractId

    public int getContractId()

  - ### setContractId

    public void setContractId(int contractId)

  - ### getProductId

    public int getProductId()

  - ### setProductId

    public void setProductId(int productId)

  - ### getOldProductStatus

    public MegafonContractProductStatus getOldProductStatus()

  - ### setOldProductStatus

    public void setOldProductStatus(MegafonContractProductStatus oldProductStatus)

  - ### getNewProductStatus

    public MegafonContractProductStatus getNewProductStatus()

  - ### setNewProductStatus

    public void setNewProductStatus(MegafonContractProductStatus newProductStatus)

  - ### getMegafonOptionId

    public int getMegafonOptionId()

  - ### setMegafonOptionId

    public void setMegafonOptionId(int megafonOptionId)

  - ### getChangeDate

    public LocalDateTime getChangeDate()

  - ### setChangeDate

    public void setChangeDate(LocalDateTime changeDate)

  - ### getUserId

    public int getUserId()

  - ### setUserId

    public void setUserId(int userId)

  - ### getMsisdn

    public String getMsisdn()

  - ### setMsisdn

    public void setMsisdn(String msisdn)

  - ### getAdditionalMsisdn

    public String getAdditionalMsisdn()

  - ### setAdditionalMsisdn

    public void setAdditionalMsisdn(String additionalMsisdn)